import request from '@/utils/request'

export function getKechengGlList(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKechengGlRecord(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/record',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKechengGlSave(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/save',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKechengGlStart(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/start',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKechengGlTime(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/time',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getVideoAuth(data = {}) {
  return request({
    url: '/app/video/auth',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}



export function getClientKechengList(data = {}) {
  return request({
    url: '/app/kecheng/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getClientKechengStart(data = {}) {
  return request({
    url: '/app/kecheng/start',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getClientKechengSave(data = {}) {
  return request({
    url: '/app/kecheng/save',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getAdminClassify(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/classify',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}